# Quetzalcoatl: The Fifth Sun

## Author Info
- **Name**: Chaebean Yang
- **Student ID**: 20230412
- **e-mail**: kazed0102@kaist.ac.kr
- **GIt Repository**: [Link](http://git.prototyping.id/20230412/homework5.git)


## Game Description
This game is based on [Snake Game](https://p5js.org/examples/games-snake/) and Aztec mytology. The player controls a serpent which grows longer by collecting sacrificial items. Upon reaching a score of 100, the serpent transforms into the Fifth Sun — completing the mythological cycle and the game ends.

- **Goal**: Reaching 100 points to become the Fifth Sun
- **Lose Condition**: Collision with wall or self or run out of lives.

![Snake Game](lib/snake.png)

## Graphic and Game Screen Sketch
Graphic Sketch
![Graphic](lib/graphic.png)

Game Screen Sketch
![Gmae Screen](lib/gamescreen.png)


## Game Elements and Implementation
- Serpent: Quetzalcoatl-inspired
- Items: heart, obsidian, etc.


## Interactions
- Arrow key movement
- Eating items increases snake's body length and score 


## Tools and Libraries
- **p5js**
- **Adobe Illustrator**
- **Git**

## Features from Class to Use
- **Arrays** to manage snake's body segments and growth
- **Conditionals and loops** to check for collisions, item collection, and movement
- **Custom functions** for drawing and update logic
- **HTML-JavaScript integration** to handle external inputs and update in-game UI elements

## Anticipated Challenges
- Designing natural and smooth movement transitions between snake segments  
- Creating a coherent and symbolic color palette that reflects Aztec aesthetics

## Posible Future Features
- Additional levels
- Animated transformation between game screens
- Game over screen with a graphic of Tepeyóllotl

## References
- [Snake Game in p5js](https://p5js.org/examples/games-snake/)
- Smith, Michel E. (2011). *The Aztec*. John Wiley & Sons.
- Camilla Townsend. (2019). *Fifth Sun: A New History of the Aztecs*. Oxford University Press.
- Davide Domenici. (2009). *The Aztecs: History and Treasure of an Ancient Civilization*. White Star Promotional.


![Image Reference 1](lib/50796479392_f18856016d_b.jpg)
![Image Reference 2](lib/images.jpg)
![Image Reference 3](lib/Quetzalcóatl_como_la_serpiente_emplumada_y_el_dios_del_viento_Ehécatl,_en_el_folio_19.jpg)
![Image Reference 4](lib/azteccal.jpg)
![Image Reference 5](lib/Tepeyóllotl_1.jpg)

